Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `Link`

`Link` objects contain information about page links.

getBounds()

  Returns a rectangle describing the link’s location on the page.

  Returns:

    `[ulx,uly,lrx,lry]`.

  EXAMPLE

      var rect = link.getBounds();

getURI()

  Returns a string URI describing the link’s destination. If isExternal returns true, this is a URI for a suitable browser, if it returns false pass it to resolveLink to access to the destination page in the document.

  Returns:

    `String`.

  EXAMPLE

      var uri = link.getURI();

isExternal()

  wasm only

  Returns a boolean indicating if the link is external or not. If the link URI has a valid scheme followed by `:` then it considered to be external, e.g. https://example.com.

  Returns:

    `Boolean`.

  EXAMPLE

      var isExternal = link.isExternal();